Add a webhook
Add a webhook subscription to the account
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
application/json- body
url?stringThe url where the events should be sent
name?stringThe name of the webhook
subscriptions?array<>The events you want to subscribe to.
Success
application/json- response
id?numberThe ID of the webhook
url?stringThe url to which the events will be send
name?stringThe name of the webhook
subscriptions?array<>The list of subscribed events
secret?stringSecret used to sign webhook requests. Signed webhook deliveries include X-Chatwoot-Timestamp and X-Chatwoot-Signature; the signature is sha256= followed by the HMAC-SHA256 of {timestamp}.{raw_request_body} using this secret. Deliveries also include X-Chatwoot-Delivery when a delivery id is available.
account_id?numberThe id of the account which the webhook object belongs to
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/webhooks' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": 0, "url": "string", "name": "string", "subscriptions": [ "conversation_created" ], "secret": "string", "account_id": 0}